Subject: bug#56874: 28.1.50; tab-bar-format-align-right should probably use string-width

From: Juri Linkov <[email-masked]>
Date: Mon, 08 Aug 2022 20:11:09 +0300

close 56874 29.0.50
thanks

Hi Adam,

> If it would help you reproduce the problem to test whether Emacs 29 already
> has a fix, all that seems to be necessary is to set the tab-bar face to,
> e.g. ":height 1.2", and add a string of some length (e.g. about 20) to the
> global-mode-string, and see whether it wraps onto a new line and whether
> it's right-aligned.  If it seems correct on Emacs 29, then I'd guess it's
> already solved.

Thanks for the test case.  I tried it in Emacs 29, and everything looks nice,
so I'm closing this bug report.